> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve logs for a specific execution

> Fetches the logs and execution details for a workflow by its execution ID.




## OpenAPI

````yaml get /logs/{id}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /logs/{id}:
    get:
      summary: Retrieve logs for a specific execution
      description: >
        Fetches the logs and execution details for a workflow by its execution
        ID.
      operationId: get-logs-by-id
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - name: id
          in: path
          required: true
          description: The execution ID for which to retrieve logs.
          schema:
            type: string
            example: 68110fea7d181f356acd1bf1
      responses:
        '200':
          description: Logs for the specified execution retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                        example: 68110fea7d181f356acd1bf1
                      executionMode:
                        type: string
                        enum:
                          - cli
                          - error
                          - internal
                          - manual
                          - retry
                          - trigger
                          - webhook
                        example: cli
                      executionUuid:
                        type: string
                        example: 35SnGU0DUSNP5L26fsmnq
                      workflowId:
                        type: string
                        example: 67ef01ed8eaeb50b18e646ea
                      userId:
                        type: string
                        example: 67a21c7d10e1dee8d5ec3a3d
                      forgeWorkflowId:
                        type: string
                        example: 67ef017d8eaeb50b18e635a1
                      finished:
                        type: boolean
                        example: true
                      retries:
                        type: array
                        items: {}
                        example: []
                      actions:
                        type: integer
                        example: 3
                      metadata:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Step Name
                            subtitle:
                              type: string
                              example: Step Subtitle
                            icon:
                              type: string
                              example: https://cdn.runalloy.com/icons/alloy-logo.png
                            type:
                              type: string
                              example: action
                            inputs:
                              type: object
                              example:
                                key: value
                      runData:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            error:
                              type: string
                              nullable: true
                              example: null
                            data:
                              type: array
                              nullable: true
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    json:
                                      type: object
                                      example:
                                        output: result
                                    statusCode:
                                      type: integer
                                      nullable: true
                                      example: 200
                                    id:
                                      type: string
                                      example: block-uuid
                      connections:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            main:
                              type: array
                              items:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    block:
                                      type: string
                                      example: block-uuid
                                    type:
                                      type: string
                                      example: action
                                    index:
                                      type: integer
                                      example: 0
                      startedAt:
                        type: string
                        format: date-time
                        example: '2025-04-29T17:44:10.336Z'
                      stoppedAt:
                        type: string
                        format: date-time
                        example: '2025-04-29T17:44:10.393Z'

````